/* style dla pojedynczego wpisu (single.php) */

.article-bg {
    margin: 0;
    background-color: var(--secondary-bg-color);
}
article {
    padding: 50px 25px !important;
    background-color: var(--main-bg-color);
}

.single-title-col {
    margin-bottom: 50px;
}
.single-title-col h1 {
    font-size: 45px;
    font-weight: 700;
    color: var(--primary-color);
    margin-bottom: 25px;
}
.single-info {
    display: flex;
    align-items: center;
    column-gap: 20px;
}
.single-info > span, 
.single-info > span a {
    font-size: 13px;
    color: var(--lightgray-color);
}
.single-info > span > i {
    margin-right: 5px;
}

.single-image {
    margin-bottom: 50px;
}
.single-image img {
    border-radius: var(--border-radius);
}
.single-content {
    margin: 50px 0;
}
.single-content h2 {
    margin: 30px 0 20px;
    font-size: 30px;
    font-weight: 700;
}
.single-content h3 {
    margin: 20px 0;
    font-size: 25px;
    font-weight: 700;
}
.single-content p {
    margin-bottom: 20px;
}
.single-content ul,
.single-content ol {
    margin-bottom: 20px;
}
.single-content li {
    margin-bottom: 10px;
}
.single-content a {
    color: var(--primary-color);
    text-decoration: underline;
}
.single-thankyou-banner p {
    font-style: italic;
    font-weight: 500;
}

.sticky-col {
    position: sticky;
    top: 80px;
}
.single-ad-banner {
    height: 250px;
    width: 100%;
    /* border: 1px solid var(--border-color); */
    border-radius: var(--border-radius);
    overflow: hidden;

    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.single-toc {
    margin: 30px 0;
}
.single-toc div#ez-toc-container {
    background: var(--secondary-bg-color);
    border: 1px solid var(--border-color);
    border-radius: var(--border-radius);
    width: 100%;
}
.single-toc .ez-toc-title {
    display: block !important;
    margin-bottom: 10px !important;
    font-size: 25px !important;
    font-weight: 600 !important;
    color: var(--primary-color) !important;
}
.single-toc ul.ez-toc-list {
    margin-left: 20px !important;
}
#ez-toc-container li, 
#ez-toc-container ul, 
#ez-toc-container ul li, 
div.ez-toc-widget-container, 
div.ez-toc-widget-container li {
    list-style: disc !important;
    list-style-position: outside !important;
    overflow: visible !important;
}
.ez-toc-counter nav ul li a::before {
    content: unset !important;
}
.single-toc ul.ez-toc-list a {
    font-weight: 400 !important;
    color: var(--text-color) !important;
    line-height: 1.2;
    margin-bottom: 5px;
}
.single-toc .ez-toc-heading-level-2 a {
    font-size: 15px !important;
}
.single-toc .ez-toc-heading-level-3 a {
    font-size: 14px !important;
}

.single-other {
    padding: 20px 25px 40px;
    background-color: var(--main-bg-color);
}
.single-other h2 {
    margin-bottom: 30px;
    font-weight: 700;
    font-size: 35px;
    color: var(--primary-color);
}
.single-other ul {
    padding: 0;
    display: flex;
    /* align-items: center; */
    align-items: start;
    column-gap: 40px;
}
.single-other ul > li {
    list-style: none none;
    width: 25%;
    height: -webkit-fill-available;
}
.single-other .yarpp-single {
    display: block;
}
.single-other .yarpp-single img {
    width: 100%;
    min-height: 210px;
    height: auto;
    border-radius: var(--border-radius);
}
.single-other .yarpp-single h3 {
    font-size: 20px;
    font-weight: 600;
    margin-top: 10px;
    text-transform: unset;
}

/*Tutaj zaczyna się CSS dla tabletów*/
@media only screen and (min-width: 767px) and (max-width: 992px) {
    .single-toc.mobile-single-toc .ez-toc-heading-level-2 a {
        font-size: 16px !important;
    }
    .single-toc.mobile-single-toc .ez-toc-heading-level-3 a {
        font-size: 15px !important;
    }
}
@media only screen and (max-width: 992px) {
    .single-other ul {
        flex-wrap: wrap;
        column-gap: unset;
        justify-content: space-between;
        row-gap: 30px;
    }
    .single-other ul > li {
        width: 47%;
    }
    .single-other .yarpp-single img {
        min-height: 150px;
    }
}

/*Tutaj zaczyna się CSS dla komórek*/
@media only screen and (max-width: 767px) {
    .article-bg {
        background-color: var(--main-bg-color);
    }
    .blog-single-main {
        padding: 40px 20px !important;
    }
    .single-title-col {
        margin-bottom: 30px;
    }
    .single-title-col h1 {
        font-size: 30px;
    }
    .single-image {
        margin-bottom: 30px;
    }
    .ez-toc-title {
        font-size: 22px !important;
        margin-bottom: 5px !important;
    }
    .single-content {
        margin: 30px 0;
    }
    .single-content h2 {
        margin: 25px 0 15px;
        font-size: 22px;
    }
    .single-content h3 {
        margin: 20px 0 15px;
        font-size: 20px;
    }
    .single-content p, 
    .single-content ul, 
    .single-content ol {
        margin-bottom: 15px;
    }
    .single-other ul > li {
        width: 100%;
    }
}